Bug 427776 - Plasma crashed on Wayland in KIO::FileUndoManager::undo() when you hit Ctrl+Z to undo copying a file while in "Show Desktop" mode
Summary: Plasma crashed on Wayland in KIO::FileUndoManager::undo() when you hit Ctrl+Z...
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Folder (show other bugs)
Version: 5.18.5
Platform: Fedora RPMs Linux
: NOR crash
Target Milestone: 1.0
Assignee: Eike Hein
URL:
Keywords: drkonqi, wayland
: 413700 417117 424467 446962 (view as bug list)
Depends on:
Blocks: 443934
  Show dependency treegraph
 
Reported: 2020-10-15 20:24 UTC by Evgeny Brazgin
Modified: 2022-01-12 16:06 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Evgeny Brazgin 2020-10-15 20:24:52 UTC
Application: plasmashell (5.18.5)

Qt Version: 5.14.2
Frameworks Version: 5.73.0
Operating System: Linux 5.8.14-200.fc32.x86_64 x86_64
Windowing system: X11
Distribution: "Fedora release 32 (Thirty Two)"

-- Information about the crash:
- What I was doing when the application crashed:

"Show Desktop" (Meta+D / Ctrl+F12) mode was opened after some random keyboard pressures (by the cat). 
I tried to press Esc to close it, but it didn't react. Then I clicked in the middle of desktop with the mouse, and it crashed.
Cannot reproduce it by doing same things again.

The crash does not seem to be reproducible.

-- Backtrace:
Application: Plasma (plasmashell), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f1fef19a280 (LWP 3656))]

Thread 18 (Thread 0x7f1fad046700 (LWP 146592)):
#0  0x00007f1ff25bf1b8 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1ff3142d0a in QWaitCondition::wait(QMutex*, QDeadlineTimer) () from /lib64/libQt5Core.so.5
#2  0x00007f1ff3142e0b in QWaitCondition::wait(QMutex*, unsigned long) () from /lib64/libQt5Core.so.5
#3  0x00007f1ff3140f45 in QThreadPoolThread::run() () from /lib64/libQt5Core.so.5
#4  0x00007f1ff313d690 in QThreadPrivate::start(void*) () from /lib64/libQt5Core.so.5
#5  0x00007f1ff25b8432 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f1ff2dbc913 in clone () from /lib64/libc.so.6

Thread 17 (Thread 0x7f1f9eb13700 (LWP 56961)):
#0  0x00007f1ff25bee92 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1ff3142dab in QWaitCondition::wait(QMutex*, QDeadlineTimer) () from /lib64/libQt5Core.so.5
#2  0x00007f1ff4c5cbc2 in QSGRenderThread::processEventsAndWaitForMore() () from /lib64/libQt5Quick.so.5
#3  0x00007f1ff4c5f109 in QSGRenderThread::run() () from /lib64/libQt5Quick.so.5
#4  0x00007f1ff313d690 in QThreadPrivate::start(void*) () from /lib64/libQt5Core.so.5
#5  0x00007f1ff25b8432 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f1ff2dbc913 in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7f1f9c9be700 (LWP 41704)):
#0  0x00007f1ff2db1aaf in poll () from /lib64/libc.so.6
#1  0x00007f1fafc6b246 in poll_func () from /lib64/libpulse.so.0
#2  0x00007f1fafc5c991 in pa_mainloop_poll () from /lib64/libpulse.so.0
#3  0x00007f1fafc5d013 in pa_mainloop_iterate () from /lib64/libpulse.so.0
#4  0x00007f1fafc5d0c0 in pa_mainloop_run () from /lib64/libpulse.so.0
#5  0x00007f1fafc6b31d in thread () from /lib64/libpulse.so.0
#6  0x00007f1fafc015cc in internal_thread_func () from /usr/lib64/pulseaudio/libpulsecommon-13.99.so
#7  0x00007f1ff25b8432 in start_thread () from /lib64/libpthread.so.0
#8  0x00007f1ff2dbc913 in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7f1f9fd55700 (LWP 6582)):
#0  0x00007f1ff25bee92 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1ff3142dab in QWaitCondition::wait(QMutex*, QDeadlineTimer) () from /lib64/libQt5Core.so.5
#2  0x00007f1ff4c5cbc2 in QSGRenderThread::processEventsAndWaitForMore() () from /lib64/libQt5Quick.so.5
#3  0x00007f1ff4c5f109 in QSGRenderThread::run() () from /lib64/libQt5Quick.so.5
#4  0x00007f1ff313d690 in QThreadPrivate::start(void*) () from /lib64/libQt5Core.so.5
#5  0x00007f1ff25b8432 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f1ff2dbc913 in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7f1f8f3ff700 (LWP 5736)):
#0  0x00007f1ff25bee92 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1ff3142dab in QWaitCondition::wait(QMutex*, QDeadlineTimer) () from /lib64/libQt5Core.so.5
#2  0x00007f1ff4c5cbc2 in QSGRenderThread::processEventsAndWaitForMore() () from /lib64/libQt5Quick.so.5
#3  0x00007f1ff4c5f109 in QSGRenderThread::run() () from /lib64/libQt5Quick.so.5
#4  0x00007f1ff313d690 in QThreadPrivate::start(void*) () from /lib64/libQt5Core.so.5
#5  0x00007f1ff25b8432 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f1ff2dbc913 in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7f1f8dc0b700 (LWP 5384)):
#0  0x00007f1ff25bee92 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1ff3142dab in QWaitCondition::wait(QMutex*, QDeadlineTimer) () from /lib64/libQt5Core.so.5
#2  0x00007f1ff4c5cbc2 in QSGRenderThread::processEventsAndWaitForMore() () from /lib64/libQt5Quick.so.5
#3  0x00007f1ff4c5f109 in QSGRenderThread::run() () from /lib64/libQt5Quick.so.5
#4  0x00007f1ff313d690 in QThreadPrivate::start(void*) () from /lib64/libQt5Core.so.5
#5  0x00007f1ff25b8432 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f1ff2dbc913 in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7f1f9defc700 (LWP 4432)):
#0  0x00007f1ff25bee92 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1ff3142dab in QWaitCondition::wait(QMutex*, QDeadlineTimer) () from /lib64/libQt5Core.so.5
#2  0x00007f1ff4c5cbc2 in QSGRenderThread::processEventsAndWaitForMore() () from /lib64/libQt5Quick.so.5
#3  0x00007f1ff4c5f109 in QSGRenderThread::run() () from /lib64/libQt5Quick.so.5
#4  0x00007f1ff313d690 in QThreadPrivate::start(void*) () from /lib64/libQt5Core.so.5
#5  0x00007f1ff25b8432 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f1ff2dbc913 in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7f1faee57700 (LWP 4417)):
#0  0x00007f1ff2db1aaf in poll () from /lib64/libc.so.6
#1  0x00007f1ff1964aae in g_main_context_iterate.constprop () from /lib64/libglib-2.0.so.0
#2  0x00007f1ff1964be3 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00007f1ff331db8b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#4  0x00007f1ff32d091b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#5  0x00007f1ff313c427 in QThread::exec() () from /lib64/libQt5Core.so.5
#6  0x00007f1faf38166c in KCupsConnection::run() () from /lib64/libkcupslib.so
#7  0x00007f1ff313d690 in QThreadPrivate::start(void*) () from /lib64/libQt5Core.so.5
#8  0x00007f1ff25b8432 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f1ff2dbc913 in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7f1fbb014700 (LWP 4183)):
#0  0x00007f1ff25bee92 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1ff3142dab in QWaitCondition::wait(QMutex*, QDeadlineTimer) () from /lib64/libQt5Core.so.5
#2  0x00007f1ff4c5cbc2 in QSGRenderThread::processEventsAndWaitForMore() () from /lib64/libQt5Quick.so.5
#3  0x00007f1ff4c5f109 in QSGRenderThread::run() () from /lib64/libQt5Quick.so.5
#4  0x00007f1ff313d690 in QThreadPrivate::start(void*) () from /lib64/libQt5Core.so.5
#5  0x00007f1ff25b8432 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f1ff2dbc913 in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7f1fbbfff700 (LWP 4172)):
#0  0x00007f1ff2db1aaf in poll () from /lib64/libc.so.6
#1  0x00007f1ff1964aae in g_main_context_iterate.constprop () from /lib64/libglib-2.0.so.0
#2  0x00007f1ff1964be3 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00007f1ff331db8b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#4  0x00007f1ff32d091b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#5  0x00007f1ff313c427 in QThread::exec() () from /lib64/libQt5Core.so.5
#6  0x00007f1ff4badfda in QQuickPixmapReader::run() () from /lib64/libQt5Quick.so.5
#7  0x00007f1ff313d690 in QThreadPrivate::start(void*) () from /lib64/libQt5Core.so.5
#8  0x00007f1ff25b8432 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f1ff2dbc913 in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f1fcaa7d700 (LWP 4014)):
#0  0x00007f1ff25bee92 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1fd99bf86b in util_queue_thread_func () from /usr/lib64/dri/iris_dri.so
#2  0x00007f1fd99bf33b in impl_thrd_routine () from /usr/lib64/dri/iris_dri.so
#3  0x00007f1ff25b8432 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f1ff2dbc913 in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f1fcb27e700 (LWP 4013)):
#0  0x00007f1ff25bee92 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1fd99bf86b in util_queue_thread_func () from /usr/lib64/dri/iris_dri.so
#2  0x00007f1fd99bf33b in impl_thrd_routine () from /usr/lib64/dri/iris_dri.so
#3  0x00007f1ff25b8432 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f1ff2dbc913 in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f1fd8aff700 (LWP 4012)):
#0  0x00007f1ff25bee92 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1fd99bf86b in util_queue_thread_func () from /usr/lib64/dri/iris_dri.so
#2  0x00007f1fd99bf33b in impl_thrd_routine () from /usr/lib64/dri/iris_dri.so
#3  0x00007f1ff25b8432 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f1ff2dbc913 in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f1fd9300700 (LWP 4011)):
#0  0x00007f1ff25bee92 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1fd99bf86b in util_queue_thread_func () from /usr/lib64/dri/iris_dri.so
#2  0x00007f1fd99bf33b in impl_thrd_routine () from /usr/lib64/dri/iris_dri.so
#3  0x00007f1ff25b8432 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f1ff2dbc913 in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f1fdbfff700 (LWP 3914)):
#0  0x00007f1ff2db1aaf in poll () from /lib64/libc.so.6
#1  0x00007f1ff1964aae in g_main_context_iterate.constprop () from /lib64/libglib-2.0.so.0
#2  0x00007f1ff1964be3 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00007f1ff331db8b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#4  0x00007f1ff32d091b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#5  0x00007f1ff313c427 in QThread::exec() () from /lib64/libQt5Core.so.5
#6  0x00007f1ff49001e9 in QQmlThreadPrivate::run() () from /lib64/libQt5Qml.so.5
#7  0x00007f1ff313d690 in QThreadPrivate::start(void*) () from /lib64/libQt5Core.so.5
#8  0x00007f1ff25b8432 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f1ff2dbc913 in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f1fe12f3700 (LWP 3687)):
#0  0x00007f1ff2db1aaf in poll () from /lib64/libc.so.6
#1  0x00007f1ff1964aae in g_main_context_iterate.constprop () from /lib64/libglib-2.0.so.0
#2  0x00007f1ff1964be3 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00007f1ff331db8b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#4  0x00007f1ff32d091b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#5  0x00007f1ff313c427 in QThread::exec() () from /lib64/libQt5Core.so.5
#6  0x00007f1ff42ad51b in QDBusConnectionManager::run() () from /lib64/libQt5DBus.so.5
#7  0x00007f1ff313d690 in QThreadPrivate::start(void*) () from /lib64/libQt5Core.so.5
#8  0x00007f1ff25b8432 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f1ff2dbc913 in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f1fe1eda700 (LWP 3670)):
#0  0x00007f1ff2db1aaf in poll () from /lib64/libc.so.6
#1  0x00007f1ff507a38a in _xcb_conn_wait () from /lib64/libxcb.so.1
#2  0x00007f1ff507c71a in xcb_wait_for_event () from /lib64/libxcb.so.1
#3  0x00007f1fe20a2c78 in QXcbEventQueue::run() () from /lib64/libQt5XcbQpa.so.5
#4  0x00007f1ff313d690 in QThreadPrivate::start(void*) () from /lib64/libQt5Core.so.5
#5  0x00007f1ff25b8432 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f1ff2dbc913 in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f1fef19a280 (LWP 3656)):
[KCrash Handler]
#4  0x00007f1ff2aec308 in KIO::FileUndoManager::undo() () from /lib64/libKF5KIOWidgets.so.5
#5  0x00007f1ff3300f76 in void doActivate<false>(QObject*, int, void**) () from /lib64/libQt5Core.so.5
#6  0x00007f1ff3cbd876 in QAction::triggered(bool) () from /lib64/libQt5Widgets.so.5
#7  0x00007f1ff3cc0161 in QAction::activate(QAction::ActionEvent) () from /lib64/libQt5Widgets.so.5
#8  0x00007f1ff3cc0f37 in QAction::qt_metacall(QMetaObject::Call, int, void**) () from /lib64/libQt5Widgets.so.5
#9  0x00007f1ff48a9625 in QQmlObjectOrGadget::metacall(QMetaObject::Call, int, void**) const () from /lib64/libQt5Qml.so.5
#10 0x00007f1ff479f2f8 in CallPrecise(QQmlObjectOrGadget const&, QQmlPropertyData const&, QV4::ExecutionEngine*, QV4::CallData*, QMetaObject::Call) () from /lib64/libQt5Qml.so.5
#11 0x00007f1ff47a17e2 in QV4::QObjectMethod::callInternal(QV4::Value const*, QV4::Value const*, int) const () from /lib64/libQt5Qml.so.5
#12 0x00007f1ff47a73f9 in QV4::QObjectSlotDispatcher::impl(int, QtPrivate::QSlotObjectBase*, QObject*, void**, bool*) () from /lib64/libQt5Qml.so.5
#13 0x00007f1ff3300f76 in void doActivate<false>(QObject*, int, void**) () from /lib64/libQt5Core.so.5
#14 0x00007f1ff3cbd876 in QAction::triggered(bool) () from /lib64/libQt5Widgets.so.5
#15 0x00007f1ff3cc0161 in QAction::activate(QAction::ActionEvent) () from /lib64/libQt5Widgets.so.5
#16 0x00007f1fe0075af0 in AppletInterface::event(QEvent*) () from /usr/lib64/qt5/plugins/plasma/scriptengines/plasma_appletscript_declarative.so
#17 0x00007f1ff3cc4063 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#18 0x00007f1ff32d1fc0 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib64/libQt5Core.so.5
#19 0x00007f1ff4cb4897 in QQuickWindowPrivate::deliverKeyEvent(QKeyEvent*) () from /lib64/libQt5Quick.so.5
#20 0x000056327f62efed in DesktopView::keyPressEvent(QKeyEvent*) ()
#21 0x00007f1ff36c1505 in QWindow::event(QEvent*) () from /lib64/libQt5Gui.so.5
#22 0x00007f1ff3cc4063 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#23 0x00007f1ff32d1fc0 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib64/libQt5Core.so.5
#24 0x00007f1ff36b29aa in QGuiApplicationPrivate::processKeyEvent(QWindowSystemInterfacePrivate::KeyEvent*) () from /lib64/libQt5Gui.so.5
#25 0x00007f1ff369815b in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Gui.so.5
#26 0x00007f1fe20a3c9e in xcbSourceDispatch(_GSource*, int (*)(void*), void*) () from /lib64/libQt5XcbQpa.so.5
#27 0x00007f1ff196478f in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#28 0x00007f1ff1964b18 in g_main_context_iterate.constprop () from /lib64/libglib-2.0.so.0
#29 0x00007f1ff1964be3 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#30 0x00007f1ff331db73 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#31 0x00007f1ff32d091b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#32 0x00007f1ff32d85a6 in QCoreApplication::exec() () from /lib64/libQt5Core.so.5
#33 0x000056327f61fb81 in main ()
[Inferior 1 (process 3656) detached]

Possible duplicates by query: bug 427631, bug 427593, bug 427575, bug 427426, bug 427280.

Reported using DrKonqi
Comment 1 Nate Graham 2021-02-26 22:24:33 UTC
I can reproduce this by hitting Ctrl+Z while in "Show Desktop" mode. So KIO crashes, but it's triggered by Plasma, which shouldn't handle the undo shortcut while in Show Desktop mode. The backtrace the same. The action seems to be taking place here:


#30 AppletInterface::event(QEvent*) (this=0x19e62a0, event=0x7ffeab467200) at /home/nate/kde/src/plasma-framework/src/scriptengines/qml/plasmoid/appletinterface.cpp:819
#31 0x00007f5ff4bbe4ff in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=<optimized out>, receiver=0x19e62a0, e=0x7ffeab467200) at kernel/qapplication.cpp:3632
#32 0x00007f5ff3ca132a in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x19e62a0, event=0x7ffeab467200) at kernel/qcoreapplication.cpp:1063
#33 0x00007f5ff5d38427 in QQuickWindowPrivate::deliverKeyEvent(QKeyEvent*) (this=0x7ffeab466618, e=0x7ffeab467200)
    at /usr/src/debug/libqt5-qtdeclarative-5.15.2-2.2.x86_64/src/quick/items/qquickwindow.cpp:1935
#34 0x000000000042fa51 in DesktopView::keyPressEvent(QKeyEvent*) (this=0x1540e80, e=0x7ffeab467200) at /home/nate/kde/src/plasma-workspace/shell/desktopview.cpp:261



Here is the full backtrace with more symbols:


#0  __GI_raise (sig=<optimized out>) at ../sysdeps/unix/sysv/linux/raise.c:49
#1  0x00007f5ff34bd520 in <signal handler called> () at /lib64/libc.so.6
#2  std::__atomic_base<int>::load(std::memory_order) const
    (__m=std::memory_order_relaxed, this=0x18) at /usr/include/c++/10/bits/atomic_base.h:420
#3  QAtomicOps<int>::loadRelaxed<int>(std::atomic<int> const&) (_q_value=...)
    at /usr/include/qt5/QtCore/qatomic_cxx11.h:239
#4  QBasicAtomicInteger<int>::loadRelaxed() const (this=0x18)
    at /usr/include/qt5/QtCore/qbasicatomic.h:107
#5  QtPrivate::RefCount::ref() (this=0x18) at /usr/include/qt5/QtCore/qrefcount.h:55
#6  QList<KIO::BasicOperation>::QList(QList<KIO::BasicOperation> const&)
    (this=this@entry=0x7ffeab466618, l=...) at /usr/include/qt5/QtCore/qlist.h:856
#7  0x00007f5ff323e973 in QQueue<KIO::BasicOperation>::QQueue(QQueue<KIO::BasicOperation> const&)
    (this=0x7ffeab466618) at /usr/include/qt5/QtCore/qqueue.h:49
#8  KIO::UndoCommand::UndoCommand(KIO::UndoCommand const&) (this=0x7ffeab466610)
    at /home/nate/kde/src/kio/src/widgets/fileundomanager_p.h:52
#9  KIO::FileUndoManager::undo()
    (this=0x7f5ff32f4c10 <(anonymous namespace)::Q_QGS_globalFileUndoManager::innerFunction()::holder>) at /home/nate/kde/src/kio/src/widgets/fileundomanager.cpp:337
#10 0x00007f5ff3cd7946 in QtPrivate::QSlotObjectBase::call(QObject*, void**)
    (a=0x7ffeab466770, r=0x7f5ff32f4c10 <(anonymous namespace)::Q_QGS_globalFileUndoManager::innerFunction()::holder>, this=0x180c6a0)
    at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#11 doActivate<false>(QObject*, int, void**)
    (sender=0x1797e50, signal_index=4, argv=argv@entry=0x7ffeab466770) at kernel/qobject.cpp:3886
#12 0x00007f5ff3cd0c60 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**)
    (sender=sender@entry=0x1797e50, m=m@entry=0x7f5ff50b50a0 <QAction::staticMetaObject>, local_signal_index=local_signal_index@entry=1, argv=argv@entry=0x7ffeab466770) at kernel/qobject.cpp:3946
#13 0x00007f5ff4bb7f02 in QAction::triggered(bool) (this=this@entry=0x1797e50, _t1=<optimized out>)
    at .moc/moc_qaction.cpp:376
#14 0x00007f5ff4bba741 in QAction::activate(QAction::ActionEvent)
    (this=0x1797e50, event=<optimized out>) at kernel/qaction.cpp:1161
#15 0x00007f5ff4bbb4d3 in QAction::qt_metacall(QMetaObject::Call, int, void**)
    (this=0x1797e50, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0x7ffeab4669c0)
    at .moc/moc_qaction.cpp:339
#16 0x00007f5ff587bd9d in QQmlObjectOrGadget::metacall(QMetaObject::Call, int, void**) const
    (this=this@entry=0x7ffeab466c00, type=type@entry=QMetaObject::InvokeMetaMethod, index=<optimized out>, argv=argv@entry=0x7ffeab4669c0)
    at /usr/src/debug/libqt5-qtdeclarative-5.15.2-2.2.x86_64/src/qml/qml/qqmlobjectorgadget.cpp:51
#17 0x00007f5ff5764a4e in CallMethod
    (callType=QMetaObject::InvokeMetaMethod, callArgs=0x7f5fe59ae4d8, engine=0x19e9e30, argTypes=0x0, argCount=0, returnType=43, index=<optimized out>, object=...)
    at /usr/src/debug/libqt5-qtdeclarative-5.15.2-2.2.x86_64/src/qml/jsruntime/qv4qobjectwrapper.cpp:1319
#18 CallPrecise(QQmlObjectOrGadget const&, QQmlPropertyData const&, QV4::ExecutionEngine*, QV4::CallData*, QMetaObject::Call)
    (object=..., data=..., engine=engine@entry=0x19e9e30, callArgs=callArgs@entry=0x7f5fe59ae4d8, callType=callType@entry=QMetaObject::InvokeMetaMethod)
    at /usr/src/debug/libqt5-qtdeclarative-5.15.2-2.2.x86_64/src/qml/jsruntime/qv4qobjectwrapper.cpp:1573
#19 0x00007f5ff5766fda in CallOverloaded
--Type <RET> for more, q to quit, c to continue without paging--
mized out>, data=<optimized out>, object=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.15.2-2.2.x86_64/src/qml/jsruntime/qv4qobjectwrapper.cpp:1645
#20 QV4::QObjectMethod::callInternal(QV4::Value const*, QV4::Value const*, int) const (this=<optimized out>, thisObject=<optimized out>, argv=<optimized out>, argc=<optimized out>)
    at /usr/src/debug/libqt5-qtdeclarative-5.15.2-2.2.x86_64/src/qml/jsruntime/qv4qobjectwrapper.cpp:2133
#21 0x00007f5ff576cb89 in QV4::FunctionObject::call(QV4::Value const*, QV4::Value const*, int) const (argc=0, argv=0x7f5fe59ae4d8, thisObject=0x7f5fe59ae4d0, this=0x7f5fe59ae4c8)
    at /usr/src/debug/libqt5-qtdeclarative-5.15.2-2.2.x86_64/include/QtQml/5.15.2/QtQml/private/../../../../../src/qml/jsruntime/qv4functionobject_p.h:202
#22 QV4::FunctionObject::call(QV4::JSCallData const&) const (data=<synthetic pointer>..., this=0x7f5fe59ae4c8)
    at /usr/src/debug/libqt5-qtdeclarative-5.15.2-2.2.x86_64/include/QtQml/5.15.2/QtQml/private/../../../../../src/qml/jsruntime/qv4jscall_p.h:112
#23 QV4::QObjectSlotDispatcher::impl(int, QtPrivate::QSlotObjectBase*, QObject*, void**, bool*)
    (which=<optimized out>, this_=<optimized out>, r=<optimized out>, metaArgs=0x7ffeab466f00, ret=<optimized out>)
    at /usr/src/debug/libqt5-qtdeclarative-5.15.2-2.2.x86_64/src/qml/jsruntime/qv4qobjectwrapper.cpp:952
#24 0x00007f5ff3cd7946 in QtPrivate::QSlotObjectBase::call(QObject*, void**) (a=0x7ffeab466f00, r=0x1ac8ef0, this=0x1ac91c0) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#25 doActivate<false>(QObject*, int, void**) (sender=0x1ac8ef0, signal_index=4, argv=argv@entry=0x7ffeab466f00) at kernel/qobject.cpp:3886
#26 0x00007f5ff3cd0c60 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**)
    (sender=sender@entry=0x1ac8ef0, m=m@entry=0x7f5ff50b50a0 <QAction::staticMetaObject>, local_signal_index=local_signal_index@entry=1, argv=argv@entry=0x7ffeab466f00) at kernel/qobject.cpp:3946
#27 0x00007f5ff4bb7f02 in QAction::triggered(bool) (this=this@entry=0x1ac8ef0, _t1=<optimized out>) at .moc/moc_qaction.cpp:376
#28 0x00007f5ff4bba741 in QAction::activate(QAction::ActionEvent) (this=this@entry=0x1ac8ef0, event=event@entry=QAction::Trigger) at kernel/qaction.cpp:1161
#29 0x00007f5fec2a2630 in QAction::trigger() (this=0x1ac8ef0) at /usr/include/qt5/QtWidgets/qaction.h:187
#30 AppletInterface::event(QEvent*) (this=0x19e62a0, event=0x7ffeab467200) at /home/nate/kde/src/plasma-framework/src/scriptengines/qml/plasmoid/appletinterface.cpp:819
#31 0x00007f5ff4bbe4ff in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=<optimized out>, receiver=0x19e62a0, e=0x7ffeab467200) at kernel/qapplication.cpp:3632
#32 0x00007f5ff3ca132a in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x19e62a0, event=0x7ffeab467200) at kernel/qcoreapplication.cpp:1063
#33 0x00007f5ff5d38427 in QQuickWindowPrivate::deliverKeyEvent(QKeyEvent*) (this=0x7ffeab466618, e=0x7ffeab467200)
    at /usr/src/debug/libqt5-qtdeclarative-5.15.2-2.2.x86_64/src/quick/items/qquickwindow.cpp:1935
#34 0x000000000042fa51 in DesktopView::keyPressEvent(QKeyEvent*) (this=0x1540e80, e=0x7ffeab467200) at /home/nate/kde/src/plasma-workspace/shell/desktopview.cpp:261
#35 0x00007f5ff4119fa5 in QWindow::event(QEvent*) (this=0x1540e80, ev=<optimized out>) at kernel/qwindow.cpp:2438
#36 0x00007f5ff4bbe4ff in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=<optimized out>, receiver=0x1540e80, e=0x7ffeab467200) at kernel/qapplication.cpp:3632
#37 0x00007f5ff3ca132a in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x1540e80, event=0x7ffeab467200) at kernel/qcoreapplication.cpp:1063
#38 0x00007f5ff4109ce2 in QGuiApplicationPrivate::processKeyEvent(QWindowSystemInterfacePrivate::KeyEvent*) (e=0x24c4470) at kernel/qguiapplication.cpp:2414
#39 0x00007f5ff40e3c5c in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) (flags=flags@entry=...) at kernel/qwindowsysteminterface.cpp:1169
#40 0x00007f5fef9bffaa in xcbSourceDispatch(GSource*, GSourceFunc, gpointer) (source=source@entry=0x1079a20) at qxcbeventdispatcher.cpp:105
#41 0x00007f5ff1feef57 in g_main_dispatch (context=0x7f5fe8005000) at ../glib/gmain.c:3325
#42 g_main_context_dispatch (context=0x7f5fe8005000) at ../glib/gmain.c:4043
#43 0x00007f5ff1fef2d8 in g_main_context_iterate (context=context@entry=0x7f5fe8005000, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:4119
#44 0x00007f5ff1fef38f in g_main_context_iteration (context=0x7f5fe8005000, may_block=may_block@entry=1) at ../glib/gmain.c:4184
#45 0x00007f5ff3cf88bf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x1087f20, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#46 0x00007f5ff3c9fceb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ffeab467490, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:69
#47 0x00007f5ff3ca7f60 in QCoreApplication::exec() () at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#48 0x00007f5ff410135c in QGuiApplication::exec() () at kernel/qguiapplication.cpp:1867
#49 0x00007f5ff4bbe475 in QApplication::exec() () at kernel/qapplication.cpp:2824
#50 0x0000000000421790 in main(int, char**) (argc=<optimized out>, argv=0x7ffeab467600) at /home/nate/kde/src/plasma-workspace/shell/main.cpp:251
Comment 2 Bug Janitor Service 2021-03-02 00:10:33 UTC
A possibly relevant merge request was started @ https://invent.kde.org/frameworks/plasma-framework/-/merge_requests/206
Comment 3 Nate Graham 2021-03-02 04:14:35 UTC
*** Bug 424467 has been marked as a duplicate of this bug. ***
Comment 4 Nate Graham 2021-03-08 22:53:55 UTC
*** Bug 413700 has been marked as a duplicate of this bug. ***
Comment 5 Nate Graham 2021-03-09 02:02:23 UTC
*** Bug 417117 has been marked as a duplicate of this bug. ***
Comment 6 Nate Graham 2021-08-29 20:38:29 UTC
Huh, I guess that did fix it after all. I can no longer reproduce in the way I could before.
Comment 7 Patrick Silva 2021-08-30 11:10:35 UTC
I can reproduce on Wayland session on neon unstable.

1. copy a file to desktop
2. activate "Show desktop"
3. press ctrl+z
3. click on "Delete" button to confirm file deletion

Application: Plasma (plasmashell), signal: Segmentation fault
Content of s_kcrashErrorMessage: std::unique_ptr<char []> = {get() = 0x0}
[New LWP 1405]
[New LWP 1409]
[New LWP 1411]
[New LWP 1412]
[New LWP 1413]
[New LWP 1424]
[New LWP 1435]
[New LWP 1436]
[New LWP 1441]
[New LWP 1443]
[New LWP 1458]
[New LWP 1526]
[New LWP 4313]
[New LWP 4314]
[New LWP 1410]
[New LWP 1414]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
Core was generated by `/usr/bin/plasmashell'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  __GI_raise (sig=sig@entry=11) at ../sysdeps/unix/sysv/linux/raise.c:50
[Current thread is 1 (Thread 0x7f77302569c0 (LWP 1405))]
__preamble__

[Current thread is 1 (Thread 0x7f77302569c0 (LWP 1405))]

Thread 16 (Thread 0x7f7725ce9700 (LWP 1414)):
#0  0x00007f77340fbaff in __GI___poll (fds=0x7f7710004e60, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f77329ab36e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f7710004e60, timeout=<optimized out>, context=0x7f7710000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f7710000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f77329ab4a3 in g_main_context_iteration (context=0x7f7710000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f77346cafc2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f7710000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f773466f26b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f7725ce8bc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f7734488c22 in QThread::exec() (this=this@entry=0x5625224c62d0) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f7735c99549 in QQmlThreadPrivate::run() (this=0x5625224c62d0) at qml/ftw/qqmlthread.cpp:155
#8  0x00007f7734489dbc in QThreadPrivate::start(void*) (arg=0x5625224c62d0) at thread/qthread_unix.cpp:329
#9  0x00007f77333dd609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f7734108293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7f772dd71700 (LWP 1410)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x5625220d777c) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5625220d7728, cond=0x5625220d7750) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5625220d7750, mutex=0x5625220d7728) at pthread_cond_wait.c:647
#3  0x00007f772e10ba4b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#4  0x00007f772e10b64b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#5  0x00007f77333dd609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f7734108293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7f7718962700 (LWP 4314)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7f7718961b50, clockid=<optimized out>, expected=0, futex_word=0x7f7704011760) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7f7718961b50, clockid=<optimized out>, mutex=0x7f7704011710, cond=0x7f7704011738) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x7f7704011738, mutex=0x7f7704011710, abstime=0x7f7718961b50) at pthread_cond_wait.c:665
#3  0x00007f773448feb8 in QWaitConditionPrivate::wait_relative(QDeadlineTimer) (this=0x7f7704011710, deadline=...) at thread/qwaitcondition_unix.cpp:136
#4  QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x7f7704011710) at thread/qwaitcondition_unix.cpp:144
#5  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=this@entry=0x7f770400ed80, mutex=mutex@entry=0x562522a29188, deadline=...) at thread/qwaitcondition_unix.cpp:225
#6  0x00007f773448d3c1 in QThreadPoolThread::run() (this=0x7f770400ed70) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:275
#7  0x00007f7734489dbc in QThreadPrivate::start(void*) (arg=0x7f770400ed70) at thread/qthread_unix.cpp:329
#8  0x00007f77333dd609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f7734108293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7f770bfff700 (LWP 4313)):
#0  0x00007f77341085ce in epoll_wait (epfd=25, events=events@entry=0x7f770bffe7f0, maxevents=32, timeout=-1) at ../sysdeps/unix/sysv/linux/epoll_wait.c:30
#1  0x00007f771997eacb in impl_pollfd_wait (object=<optimized out>, pfd=<optimized out>, ev=0x7f770bffe9a0, n_ev=<optimized out>, timeout=<optimized out>) at ../spa/plugins/support/system.c:155
#2  0x00007f77199714a4 in loop_iterate (object=0x562528fe2498, timeout=-1) at ../spa/plugins/support/loop.c:292
#3  0x00007f7718081e70 in do_loop (user_data=0x56252c1fa360) at ../src/pipewire/data-loop.c:79
#4  0x00007f77333dd609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#5  0x00007f7734108293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7f76dd63f700 (LWP 1526)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x562528f37d94) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x562528f37d40, cond=0x562528f37d68) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x562528f37d68, mutex=0x562528f37d40) at pthread_cond_wait.c:647
#3  0x00007f773448ff2b in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x562528f37d40) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=this@entry=0x562528edbc18, mutex=mutex@entry=0x562528edbc10, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f77360e9b44 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x562528edbc08) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x562528edbb70) at scenegraph/qsgthreadedrenderloop.cpp:936
#7  0x00007f77360e9fb9 in QSGRenderThread::run() (this=0x562528edbb70) at scenegraph/qsgthreadedrenderloop.cpp:1053
#8  0x00007f7734489dbc in QThreadPrivate::start(void*) (arg=0x562528edbb70) at thread/qthread_unix.cpp:329
#9  0x00007f77333dd609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f7734108293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7f76df985700 (LWP 1458)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x562527fb3a54) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x562527fb3a00, cond=0x562527fb3a28) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x562527fb3a28, mutex=0x562527fb3a00) at pthread_cond_wait.c:647
#3  0x00007f773448ff2b in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x562527fb3a00) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=this@entry=0x5625227d52a8, mutex=mutex@entry=0x5625227d52a0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f77360e9b44 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x5625227d5298) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x5625227d5200) at scenegraph/qsgthreadedrenderloop.cpp:936
#7  0x00007f77360e9fb9 in QSGRenderThread::run() (this=0x5625227d5200) at scenegraph/qsgthreadedrenderloop.cpp:1053
#8  0x00007f7734489dbc in QThreadPrivate::start(void*) (arg=0x5625227d5200) at thread/qthread_unix.cpp:329
#9  0x00007f77333dd609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f7734108293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7f76e5c87700 (LWP 1443)):
#0  0x00007f77340fbaff in __GI___poll (fds=0x7f76d8006930, nfds=1, timeout=3499137) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f77329ab36e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f76d8006930, timeout=<optimized out>, context=0x7f76d8000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f76d8000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f77329ab4a3 in g_main_context_iteration (context=0x7f76d8000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f77346cafc2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f76d8000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f773466f26b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f76e5c86ba0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f7734488c22 in QThread::exec() (this=this@entry=0x5625256c89d0) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f77080d207c in KCupsConnection::run() (this=0x5625256c89d0) at ./libkcups/KCupsConnection.cpp:289
#8  0x00007f7734489dbc in QThreadPrivate::start(void*) (arg=0x5625256c89d0) at thread/qthread_unix.cpp:329
#9  0x00007f77333dd609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f7734108293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7f76e6c9b700 (LWP 1441)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x562524ea6134) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x562524ea60e0, cond=0x562524ea6108) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x562524ea6108, mutex=0x562524ea60e0) at pthread_cond_wait.c:647
#3  0x00007f773448ff2b in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x562524ea60e0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=this@entry=0x562524a326b8, mutex=mutex@entry=0x562524a326b0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f77360e9b44 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x562524a326a8) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x562524a32610) at scenegraph/qsgthreadedrenderloop.cpp:936
#7  0x00007f77360e9fb9 in QSGRenderThread::run() (this=0x562524a32610) at scenegraph/qsgthreadedrenderloop.cpp:1053
#8  0x00007f7734489dbc in QThreadPrivate::start(void*) (arg=0x562524a32610) at thread/qthread_unix.cpp:329
#9  0x00007f77333dd609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f7734108293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7f77093e0700 (LWP 1436)):
#0  0x00007f77340fbaff in __GI___poll (fds=0x7f76e8004a60, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f77329ab36e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f76e8004a60, timeout=<optimized out>, context=0x7f76e8000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f76e8000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f77329ab4a3 in g_main_context_iteration (context=0x7f76e8000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f77346cafc2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f76e8000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f773466f26b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f77093dfbe0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f7734488c22 in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f7734489dbc in QThreadPrivate::start(void*) (arg=0x5625249d5020) at thread/qthread_unix.cpp:329
#8  0x00007f77333dd609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f7734108293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7f7709be1700 (LWP 1435)):
#0  0x00007f77340fbaff in __GI___poll (fds=0x7f76f4004a50, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f77329ab36e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f76f4004a50, timeout=<optimized out>, context=0x7f76f4000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f76f4000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f77329ab4a3 in g_main_context_iteration (context=0x7f76f4000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f77346cafc2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f76f4000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f773466f26b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f7709be0bc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f7734488c22 in QThread::exec() (this=this@entry=0x5625249ca330) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f770a019669 in QQuickXmlQueryEngine::run() (this=0x5625249ca330) at qqmlxmllistmodel.cpp:325
#8  0x00007f7734489dbc in QThreadPrivate::start(void*) (arg=0x5625249ca330) at thread/qthread_unix.cpp:329
#9  0x00007f77333dd609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f7734108293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7f771a5a8700 (LWP 1424)):
#0  0x00007f77340fbaff in __GI___poll (fds=0x7f770400e1f0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f77329ab36e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f770400e1f0, timeout=<optimized out>, context=0x7f770400fd50) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f770400fd50, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f77329ab4a3 in g_main_context_iteration (context=0x7f770400fd50, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f77346cafc2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f7704005f00, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f773466f26b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f771a5a7ba0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f7734488c22 in QThread::exec() (this=this@entry=0x5625245b0010) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f77360243ba in QQuickPixmapReader::run() (this=0x5625245b0010) at util/qquickpixmapcache.cpp:1024
#8  0x00007f7734489dbc in QThreadPrivate::start(void*) (arg=0x5625245b0010) at thread/qthread_unix.cpp:329
#9  0x00007f77333dd609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f7734108293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7f7727fff700 (LWP 1413)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x5625220d777c) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5625220d7728, cond=0x5625220d7750) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5625220d7750, mutex=0x5625220d7728) at pthread_cond_wait.c:647
#3  0x00007f772e10ba4b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#4  0x00007f772e10b64b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#5  0x00007f77333dd609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f7734108293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7f772cd6f700 (LWP 1412)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x5625220d7778) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5625220d7728, cond=0x5625220d7750) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5625220d7750, mutex=0x5625220d7728) at pthread_cond_wait.c:647
#3  0x00007f772e10ba4b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#4  0x00007f772e10b64b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#5  0x00007f77333dd609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f7734108293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7f772d570700 (LWP 1411)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x5625220d777c) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5625220d7728, cond=0x5625220d7750) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5625220d7750, mutex=0x5625220d7728) at pthread_cond_wait.c:647
#3  0x00007f772e10ba4b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#4  0x00007f772e10b64b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#5  0x00007f77333dd609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f7734108293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7f772f8f4700 (LWP 1409)):
#0  0x00007f77340fbaff in __GI___poll (fds=0x7f7728005240, nfds=3, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f77329ab36e in g_main_context_poll (priority=<optimized out>, n_fds=3, fds=0x7f7728005240, timeout=<optimized out>, context=0x7f7728000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f7728000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f77329ab4a3 in g_main_context_iteration (context=0x7f7728000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f77346cafc2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f7728000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f773466f26b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f772f8f3bb0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f7734488c22 in QThread::exec() (this=this@entry=0x7f7735080d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f7734ffcf4b in QDBusConnectionManager::run() (this=0x7f7735080d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:179
#8  0x00007f7734489dbc in QThreadPrivate::start(void*) (arg=0x7f7735080d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:329
#9  0x00007f77333dd609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f7734108293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7f77302569c0 (LWP 1405)):
[KCrash Handler]
#3  0x00007f7733cd7e5a in  () at /lib/x86_64-linux-gnu/libKF5KIOWidgets.so.5
#4  0x00007f7733cd434d in  () at /lib/x86_64-linux-gnu/libKF5KIOWidgets.so.5
#5  0x00007f7733cd457e in  () at /lib/x86_64-linux-gnu/libKF5KIOWidgets.so.5
#6  0x00007f77346a778e in QtPrivate::QSlotObjectBase::call(QObject*, void**) (a=0x7ffdc7101310, r=0x7f7733d627e0, this=0x562528ec1ec0) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#7  doActivate<false>(QObject*, int, void**) (sender=0x56252831fdc0, signal_index=5, argv=0x7ffdc7101310) at kernel/qobject.cpp:3886
#8  0x00007f77346a0b57 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (sender=<optimized out>, m=m@entry=0x7f77328dcaa0 <KIO::AskUserActionInterface::staticMetaObject>, local_signal_index=local_signal_index@entry=2, argv=argv@entry=0x7ffdc7101310) at kernel/qobject.cpp:3946
#9  0x00007f7732754565 in KIO::AskUserActionInterface::askUserDeleteResult(bool, QList<QUrl> const&, KIO::AskUserActionInterface::DeletionType, QWidget*) (this=<optimized out>, _t1=<optimized out>, _t2=..., _t3=<optimized out>, _t4=<optimized out>) at ./obj-x86_64-linux-gnu/src/core/KF5KIOCore_autogen/EWIEGA46WW/moc_askuseractioninterface.cpp:225
#10 0x00007f7733cbf8a0 in  () at /lib/x86_64-linux-gnu/libKF5KIOWidgets.so.5
#11 0x00007f77346a778e in QtPrivate::QSlotObjectBase::call(QObject*, void**) (a=0x7ffdc71014b0, r=0x56252831fdc0, this=0x562528b34370) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#12 doActivate<false>(QObject*, int, void**) (sender=0x562529273510, signal_index=7, argv=0x7ffdc71014b0) at kernel/qobject.cpp:3886
#13 0x00007f77346a0b57 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (sender=<optimized out>, m=m@entry=0x7f77358a6840 <QDialog::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffdc71014b0) at kernel/qobject.cpp:3946
#14 0x00007f773558a302 in QDialog::finished(int) (this=<optimized out>, _t1=<optimized out>) at .moc/moc_qdialog.cpp:230
#15 0x00007f77346a778e in QtPrivate::QSlotObjectBase::call(QObject*, void**) (a=0x7ffdc71015d0, r=0x562529273510, this=0x562528f31780) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#16 doActivate<false>(QObject*, int, void**) (sender=0x5625294aef10, signal_index=7, argv=0x7ffdc71015d0) at kernel/qobject.cpp:3886
#17 0x00007f77346a0b57 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (sender=sender@entry=0x5625294aef10, m=m@entry=0x7f773589f7c0 <QDialogButtonBox::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffdc71015d0) at kernel/qobject.cpp:3946
#18 0x00007f7735520473 in QDialogButtonBox::clicked(QAbstractButton*) (this=this@entry=0x5625294aef10, _t1=<optimized out>, _t1@entry=0x562524680bd0) at .moc/moc_qdialogbuttonbox.cpp:281
#19 0x00007f7735520bd9 in QDialogButtonBoxPrivate::_q_handleButtonClicked() (this=<optimized out>) at widgets/qdialogbuttonbox.cpp:870
#20 0x00007f77346a77c0 in doActivate<false>(QObject*, int, void**) (sender=0x562524680bd0, signal_index=9, argv=0x7ffdc7101720) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:395
#21 0x00007f77346a0b57 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (sender=sender@entry=0x562524680bd0, m=m@entry=0x7f7735896600 <QAbstractButton::staticMetaObject>, local_signal_index=local_signal_index@entry=2, argv=argv@entry=0x7ffdc7101720) at kernel/qobject.cpp:3946
#22 0x00007f7735477c66 in QAbstractButton::clicked(bool) (this=this@entry=0x562524680bd0, _t1=<optimized out>) at .moc/moc_qabstractbutton.cpp:308
#23 0x00007f7735477e8e in QAbstractButtonPrivate::emitClicked() (this=0x562528e9f950) at widgets/qabstractbutton.cpp:415
#24 0x00007f7735479363 in QAbstractButtonPrivate::click() (this=0x562528e9f950) at widgets/qabstractbutton.cpp:408
#25 0x00007f7735479525 in QAbstractButton::mouseReleaseEvent(QMouseEvent*) (this=0x562524680bd0, e=0x7ffdc7101ce0) at widgets/qabstractbutton.cpp:1044
#26 0x00007f77353c2cf6 in QWidget::event(QEvent*) (this=0x562524680bd0, event=0x7ffdc7101ce0) at kernel/qwidget.cpp:8664
#27 0x00007f773547a753 in QAbstractButton::event(QEvent*) (this=this@entry=0x562524680bd0, e=e@entry=0x7ffdc7101ce0) at widgets/qabstractbutton.cpp:1001
#28 0x00007f773551dd43 in QPushButton::event(QEvent*) (this=0x562524680bd0, e=0x7ffdc7101ce0) at widgets/qpushbutton.cpp:709
#29 0x00007f773537fdc3 in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=<optimized out>, receiver=0x562524680bd0, e=0x7ffdc7101ce0) at kernel/qapplication.cpp:3632
#30 0x00007f7735388e77 in QApplication::notify(QObject*, QEvent*) () at kernel/qapplication.cpp:3076
#31 0x00007f773467076a in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x562524680bd0, event=0x7ffdc7101ce0) at ../../include/QtCore/5.15.3/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:325
#32 0x00007f77353880a7 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool, bool) (receiver=receiver@entry=0x562524680bd0, event=event@entry=0x7ffdc7101ce0, alienWidget=alienWidget@entry=0x562524680bd0, nativeWidget=0x562529273510, buttonDown=<optimized out>, lastMouseReceiver=..., spontaneous=true, onlyDispatchEnterLeave=false) at kernel/qapplication.cpp:2614
#33 0x00007f77353ddf44 in QWidgetWindow::handleMouseEvent(QMouseEvent*) (this=0x5625282f9580, event=0x7ffdc7102160) at /usr/include/c++/9/bits/atomic_base.h:413
#34 0x00007f77353e1264 in QWidgetWindow::event(QEvent*) (event=0x7ffdc7102160, this=0x5625282f9580) at kernel/qwidgetwindow.cpp:300
#35 QWidgetWindow::event(QEvent*) (this=0x5625282f9580, event=0x7ffdc7102160) at kernel/qwidgetwindow.cpp:239
#36 0x00007f773537fdc3 in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=<optimized out>, receiver=0x5625282f9580, e=0x7ffdc7102160) at kernel/qapplication.cpp:3632
#37 0x00007f7735388bb8 in QApplication::notify(QObject*, QEvent*) () at kernel/qapplication.cpp:3156
#38 0x00007f773467076a in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x5625282f9580, event=0x7ffdc7102160) at ../../include/QtCore/5.15.3/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:325
#39 0x00007f7734a544e8 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () at kernel/qguiapplication.cpp:2282
#40 0x00007f7734a55b55 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) (e=0x7f76e01c4430) at kernel/qguiapplication.cpp:2002
#41 0x00007f7734a2d7ac in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) (flags=...) at kernel/qwindowsysteminterface.cpp:1169
#42 0x00007f7732541554 in userEventSourceDispatch(_GSource*, int (*)(void*), void*) () at /lib/x86_64-linux-gnu/libQt5WaylandClient.so.5
#43 0x00007f77329ab17d in g_main_dispatch (context=0x562521f56f60) at ../../../glib/gmain.c:3309
#44 g_main_context_dispatch (context=context@entry=0x562521f56f60) at ../../../glib/gmain.c:3974
#45 0x00007f77329ab400 in g_main_context_iterate (context=context@entry=0x562521f56f60, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4047
#46 0x00007f77329ab4a3 in g_main_context_iteration (context=0x562521f56f60, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#47 0x00007f77346cafc2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x562521f55460, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#48 0x00007f773466f26b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ffdc7102500, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#49 0x00007f7734677424 in QCoreApplication::exec() () at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#50 0x0000562521be9e08 in main(int, char**) (argc=<optimized out>, argv=<optimized out>) at ./shell/main.cpp:242
Comment 8 Nate Graham 2021-08-31 21:00:06 UTC
Can reproduce with those steps but only on Wayland. X11 is fine now.
Comment 9 Nate Graham 2021-12-14 20:32:24 UTC
*** Bug 446962 has been marked as a duplicate of this bug. ***
Comment 10 Nate Graham 2022-01-12 15:28:25 UTC
I'm no longer able to reproduce this issue with current git master, which will soon become Plasma 5.24. Two other KWin developers could not either. Something must have fixed it. Can you verify with Plasma 5.24?
Comment 11 Patrick Silva 2022-01-12 16:04:39 UTC
I'm unable to reproduce on neon unstable with the steps from comment 7.
Comment 12 Nate Graham 2022-01-12 16:06:01 UTC
Yay, let's call it fixed.